Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class DefaultModalGraphMouse

    java.lang.Object
      edu.uci.ics.jung.visualization.control.PluggableGraphMouse
          edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
              edu.uci.ics.jung.visualization.control.DefaultModalGraphMouse

All Implemented Interfaces:
  EventListener, ItemSelectable, ModalGraphMouse, MouseListener, MouseMotionListener, MouseWheelListener, VisualizationViewer.GraphMouse

Direct Known Subclasses:
  ModalSatelliteGraphMouse

public class DefaultModalGraphMouse
extends AbstractModalGraphMouse
implements ModalGraphMouse, ItemSelectable

DefaultModalGraphMouse is a PluggableGraphMouse class that pre-installs a large collection of plugins for picking and transforming the graph. Additionally, it carries the notion of a Mode: Picking or Translating. Switching between modes allows for a more natural choice of mouse modifiers to be used for the various plugins. The default modifiers are intended to mimick those of mainstream software applications in order to be intuitive to users. To change between modes, two different controls are offered, a combo box and a menu system. These controls are lazily created in their respective 'getter' methods so they don't impact code that does not intend to use them. The menu control can be placed in an unused corner of the GraphZoomScrollPane, which is a common location for mouse mode selection menus in mainstream applications.

Author:
  Tom Nelson

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.control.ModalGraphMouse
`ModalGraphMouse.Mode`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
`animatedPickingPlugin, in, listenerList, mode, modeBox, modeListener, modeMenu, out, pickingPlugin, rotatingPlugin, scalingPlugin, shearingPlugin, translatingPlugin`

Constructor Summary
`DefaultModalGraphMouse()` create an instance with default values
`DefaultModalGraphMouse(float in, float out)` create an instance with passed values

Method Summary
`protected void` | `loadPlugins()` create the plugins, and load the plugins for TRANSFORMING mode

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
`addItemListener, fireItemStateChanged, getItemListeners, getModeComboBox, getModeListener, getModeMenu, getSelectedObjects, removeItemListener, setMode, setPickingMode, setTransformingMode, setZoomAtMouse`

Methods inherited from class edu.uci.ics.jung.visualization.control.PluggableGraphMouse
`add, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.control.ModalGraphMouse
`getModeListener, setMode`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseDragged, mouseMoved`

Methods inherited from interface java.awt.event.MouseWheelListener
`mouseWheelMoved`

Methods inherited from interface java.awt.ItemSelectable
`addItemListener, getSelectedObjects, removeItemListener`

Constructor Detail

### DefaultModalGraphMouse

    public DefaultModalGraphMouse()

  create an instance with default values

### DefaultModalGraphMouse

    public DefaultModalGraphMouse(float in,
                                  float out)

  create an instance with passed values

Parameters:
  `in` - override value for scale in
  `out` - override value for scale out

Method Detail

### loadPlugins

    protected void loadPlugins()

  create the plugins, and load the plugins for TRANSFORMING mode

  Specified by:
    `loadPlugins` in class `AbstractModalGraphMouse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD